| Home | Libraries | People | FAQ | More

### io_service::service

Base class for all `io_service` services.

    class service :
      noncopyable

##### Member Functions

Name | Description
--- | ---
get_io_service | Get the io_service object that owns the service.

##### Protected Member Functions

Name | Description
--- | ---
service | Constructor.
~service | Destructor.

##### Private Member Functions

Name | Description
--- | ---
fork_service | Handle notification of a fork-related event to perform any necessary housekeeping.
shutdown_service | Destroy all user-defined handler objects owned by the service.

##### Requirements

Header: `boost/asio/io_service.hpp`

Convenience header: `boost/asio.hpp`